View Issue Details

IDProjectCategoryView StatusLast Update
05148Bug reportsImport/Exportpublic2011-06-01 23:43
Reportermlarcelet Assigned Tomdekker  
PrioritynormalSeverityminor 
Status closedResolutionfixed 
Product Version1.91RC6 
Fixed in Version1.91+ 
Summary05148: Export : array subquestions data are labelled as "array_name" only instead of "array_name [subquestion_code]"
DescriptionWith 1.90 version, when you export data using questions codes as labels, data from an array is labelled as is : "array_code[subquestion_code]".

With 1.91RC6, subquestions codes does not appear (only the array code).
Steps To ReproduceCreate a survey with an array-type question named "array1"
Create some subquestions named q01, q02, etc.

Enter some data.

Export to csv, use "question codes" as column headings.

The CSV file column headings will be

array1 | array1 | array1
data |data |data

instead of

array1 [q01] | array1 [q02] | array1 [q03]
data |data |data

TagsNo tags attached.
Complete LimeSurvey version number (& build)9986
I will donate to the project if issue is resolvedNo
BrowserFirefox
Database & DB-VersionmySQL 5.0.7
Server OS (if known)Windows 2003
Webserver software & version (if known)xampp 1.7.4
PHP Version5.3.5

Activities

mlarcelet

mlarcelet

2011-05-05 11:17

reporter  

mdekker

mdekker

2011-05-31 15:31

reporter   ~15184

Fixed in svn 10155
c_schmitz

c_schmitz

2011-06-01 23:43

administrator   ~15229

New version released.

Issue History

Date Modified Username Field Change
2011-05-05 10:59 mlarcelet New Issue
2011-05-05 11:17 mlarcelet File Added: limesurvey_survey_37276.lss
2011-05-06 16:20 c_schmitz Assigned To => mdekker
2011-05-06 16:20 c_schmitz Status new => assigned
2011-05-31 15:31 mdekker Note Added: 15184
2011-05-31 15:31 mdekker Status assigned => resolved
2011-05-31 15:31 mdekker Fixed in Version => 1.91+
2011-05-31 15:31 mdekker Resolution open => fixed
2011-06-01 23:43 c_schmitz Note Added: 15229
2011-06-01 23:43 c_schmitz Status resolved => closed